popularity-contest (1.78ubuntu1) questing; urgency=medium

  * Merge with Debian unstable (LP: #2112059). Remaining changes:
    - d/control: disclose that Ubuntu popcon server is unmaintained
    - d/control: drop Recommends on "default-mta | mail-transport-agent"
    - d/postinst: remove Ubuntu references from SUBMITURLS/MAILTO/debconf
    - d/cron.daily: filter & log Ubuntu popcon references in URL/MAILTO
    - README: remove Ubuntu popcon server URL
    - defaults.conf: disable Debian popcon server via SUBMITURLS/MAILTO
    Dropped changes:
    - d/config: set debconf participate question priority to "medium".
      The delta was needed to prevent the question from being asked at
      Ubuntu install time. This is not needed anymore: popularity-contest
      has been removed from the standard seed in 2020.
    - Fix mixed encoding of umlauts in debian/changelog. Rationale: the
      mixed-encoding was introduced in a past revision of the Ubuntu delta;
      we are simply not carrying that problem over in the merge.
    - Unjustified rewrap in the Croatian debconf translations (d/po/hr.po),
      not accounted for in past d/changelog entries, and likely introduced
      by mistake.

 -- Paride Legovini <paride@ubuntu.com>  Tue, 10 Jun 2025 18:27:25 +0200

popularity-contest (1.78) unstable; urgency=medium

  * README: update to note that linuxcounter is dead.
  * debian-popcon.gpg: use new submission key.
  * debian/control:
    - Updated Standards-Version from 4.6.1 to 4.7.1.  No change needed.
    - Set Rules-Requires-Root: no
  * debian/cron.daily:
    - Remove /var/log/popularity-contest.$$ when submission fail.
      Closes: #1085020.
  * debian/popularity-contest.8:
    - Apply clean up patch from Bjarni Ingi Gislason. Closes: #1098939.

 -- Bill Allombert <ballombe@debian.org>  Thu, 27 Feb 2025 15:50:46 +0100

popularity-contest (1.77ubuntu1) mantic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - d/config: set debconf participate question priority to "medium".
    - d/control: disclose that Ubuntu popcon server is unmaintained.
    - d/postinst: remove Ubuntu references from SUBMITURLS/MAILTO/debconf.
    - d/cron.daily: filter & log Ubuntu popcon references in URL/MAILTO.
    - README: remove Ubuntu popcon server URL.
    - defaults.conf: disable Ubuntu popcon server via SUBMITURLS/MAILTO.
    - Fix mixed encoding of umlauts in debian/changelog
    - Drop Recommends on "default-mta | mail-transport-agent"

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 18 Jul 2023 15:17:08 -0700

popularity-contest (1.77) unstable; urgency=medium

  * Please note when reading stats that Bookworm was released with 1.76.
  * Update example server-side scripts to popcon.d.o version:
    - popcon.pl: add support for non-free-firmware
    - popanal.py, popanal3.py: bump stable version to 1.76

 -- Bill Allombert <ballombe@debian.org>  Mon, 10 Jul 2023 18:21:30 +0200

popularity-contest (1.76ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/config: set debconf participate question priority to "medium".
    - d/control: disclose that Ubuntu popcon server is unmaintained.
    - d/postinst: remove Ubuntu references from SUBMITURLS/MAILTO/debconf.
    - d/cron.daily: filter & log Ubuntu popcon references in URL/MAILTO.
    - README: remove Ubuntu popcon server URL.
    - defaults.conf: disable Ubuntu popcon server via SUBMITURLS/MAILTO.
    - Fix mixed encoding of umlauts in debian/changelog
    - Drop Recommends on "default-mta | mail-transport-agent"

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 24 Jan 2023 19:45:34 -0800

popularity-contest (1.76) unstable; urgency=medium

  * Updated Kazakh translation by Baurzhan Muftakhidinov. Closes: #1025422.
  * examples/bin/popcon-stat.pl: update
  * examples/bin/popcon-process.sh: switch to python3

 -- Bill Allombert <ballombe@debian.org>  Sat, 10 Dec 2022 18:54:56 +0100

popularity-contest (1.75) unstable; urgency=medium

  * Use shuf instead of bash to generate random numbers in d/postinst
    Closes: #1011284. Thanks нaб for the patch.
  * debian/control:
    - Updated Standards-Version from 4.6.0 to 4.6.1.  No change needed.

 -- Bill Allombert <ballombe@debian.org>  Sat, 03 Dec 2022 16:46:10 +0100

popularity-contest (1.74ubuntu1) kinetic; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/config: set debconf participate question priority to "medium".
    - d/control: disclose that Ubuntu popcon server is unmaintained.
    - d/postinst: remove Ubuntu references from SUBMITURLS/MAILTO/debconf.
    - d/cron.daily: filter & log Ubuntu popcon references in URL/MAILTO.
    - README: remove Ubuntu popcon server URL.
    - defaults.conf: disable Ubuntu popcon server via SUBMITURLS/MAILTO.
    - Fix mixed encoding of umlauts in debian/changelog
    - Drop Recommends on "default-mta | mail-transport-agent"

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 16 Aug 2022 15:25:00 -0700

popularity-contest (1.74) unstable; urgency=medium

  * debian/rules: add missing targets. Closes: #999319 Thanks Lucas Nussbaum
  * debian-popcon.gpg: use new submission key.
    The key is back to RSA4096. Closes: #1001956.
  * popularity-contest: New feature: skip private packages that declare
    XB-Popcon-Reports: no in debian/control. This is to be used solely
    by tools that generate packages with unique names, to avoid the
    unique name to leak. Closes: #681721.
  * debian/control:
    - Build-Depends: debhelper-compat (= 13)

 -- Bill Allombert <ballombe@debian.org>  Mon, 18 Jul 2022 12:57:02 +0200

popularity-contest (1.73) unstable; urgency=medium

  * Updated Croatian by Valentin Vidic. Closes: #987425
  * Update example server-side scripts to popcon.d.o version:
    - popanal.py, popanal3.py: bump stable version to 1.71
  * debian/postinst: use "command -v" instead of "which"
  * popularity-contest:
    - get files list by using dpkg-query ${db-fsys:Files} instead of
      reading /var/lib/dpkg/info. Closes: #944968. Thanks Niels Thykier
    for suggesting a workable strategy.
  * debian/cron.daily:
    - use unique name for POPCONNEW to allow for atomic update.
    Closes: #977984. Thanks Ben Hutchings

 -- Bill Allombert <ballombe@debian.org>  Tue, 02 Nov 2021 17:49:47 +0100

popularity-contest (1.72) unstable; urgency=medium

  * Please note when reading stats that Bullseye was released with 1.71.
  * debian/postrm:
    - Also remove /var/lib/popularity-contest on purge.
      Closes: #990574.  Thanks Christoph Anton Mitterer.
  * debian/FAQ: Document why GPG encrypted submissions are preferable
    over using https.  Closes: #989082, #991908. Thanks Manolo Díaz.
  * debian/control:
    - Updated Standards-Version from 4.5.0 to 4.6.0.  No change needed.

 -- Bill Allombert <ballombe@debian.org>  Wed, 08 Sep 2021 12:02:22 +0200

popularity-contest (1.71ubuntu3) jammy; urgency=medium

  * Drop Recommends on "default-mta | mail-transport-agent" to prevent
    the pulling in of Postfix during a release upgrade from Focal
    (LP: #1968874).

 -- Robie Basak <robie.basak@ubuntu.com>  Wed, 13 Apr 2022 13:11:12 +0100

popularity-contest (1.71ubuntu2) jammy; urgency=medium

  * Fix mixed encoding of umlauts in debian/changelog

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 05 Jan 2022 15:29:52 +0100

popularity-contest (1.71ubuntu1) impish; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/config: set debconf participate question priority to "medium".
    - d/control: disclose that Ubuntu popcon server is unmaintained.
    - d/postinst: remove Ubuntu references from SUBMITURLS/MAILTO/debconf.
    - d/cron.daily: filter & log Ubuntu popcon references in URL/MAILTO.
    - README: remove Ubuntu popcon server URL.
    - defaults.conf: disable Ubuntu popcon server via SUBMITURLS/MAILTO.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 10 May 2021 12:32:10 +0200

popularity-contest (1.71) unstable; urgency=medium

  * examples/bin/popanal.py:
    - use #!/usr/bin/python2.
  * debian/control:
    - Recommends gpg instead of gnupg
  * debian/postrm:
    - remove /var/lib/popularity-contest/lastsub on purge.
      Closes: #960978.  Thanks Alexandre Detiste.

 -- Bill Allombert <ballombe@debian.org>  Sat, 12 Dec 2020 15:43:01 +0100

popularity-contest (1.70ubuntu3) hirsute; urgency=medium

  * debian/config: Restore the Ubuntu change of not asking users whether they
    want to participate in popularity contest such that they will not be asked
    on upgrades and it will take extra effort to send results to Debian.

 -- Brian Murray <brian@ubuntu.com>  Tue, 13 Apr 2021 09:47:16 -0700

popularity-contest (1.70ubuntu2) hirsute; urgency=medium

  [ Tiago Stürmer Daitx ]
  * Drop all previous Ubuntu changes (LP: #1921178).
    - debian/po: Steve Langasek double-checked to make sure
      we weren't regressing translation support by restoring
      the original strings. Thanks!
  * README: remove Ubuntu URL as its popcon server is
    no longer maintained.
  * defaults.conf: leave SUBMITURLS and MAILTO empty so
    no references to Ubuntu's popcon server shows up in the
    default conf and comment out MAILTO to leave it unset.
  * debian/control: package description to disclose that
    Ubuntu is no longer collecting statistics.
  * debian/postinst:
    - remove popcon.ubuntu.com URL from SUBMITURLS.
    - remove popcon@ubuntu.com from MAILTO.
    - remove popcon.ubuntu.com URL if set in debconf.
  * debian/cron.daily: log when URL contains popcon.ubuntu.com
    or if MAILTO contains popcon@ubuntu.com and also filter
    them out from processing.

 -- Brian Murray <brian@ubuntu.com>  Wed, 24 Mar 2021 11:41:46 -0700

popularity-contest (1.70ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Set debconf question priority from "high" to "medium".
    - Remove mail-transport-agent recommends.
    - Branding changes in the description and homepage.
    - Upload uncompressed reports and check for a server response of "Thanks".
    - Set submiturls to popcon.ubuntu.com.
    - Set email addresses to point to ubuntu.com.
    - Don't encrypt reports; the Ubuntu server doesn't handle that.
    - Drop gnupg Recommends to a Suggests to prevent bloating standard.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 01 May 2020 15:18:21 -0700

popularity-contest (1.70) unstable; urgency=low

  * debian-popcon.gpg: use new submission key
  * debian/cron.daily:
    - fix reporting logic to avoid double submissions.  Closes: #930446
    - store last successful http submission timestamp in
      /var/lib/popularity-contest/lastsub.
    - run 'popularity-contest --su-nobody' as root. This allows
      popcon to read the configuration file and /proc/*/maps files.
      Closes: #865730. Thanks Robert Luberda.
    - rename /var/log/popularity-contest.new.gpg to
             /var/log/popularity-contest.gpg
  * debian/control:
    - Updated Standards-Version from 4.4.0 to 4.5.0.  No change needed.
    - Build-Depends on debhelper-compat (=12)
  * debian/compat: removed
  * Update example server-side scripts to popcon.d.o version:
    - popanal.py: bump stable version to 1.67
    - popcon.pl: update URL from Alioth to Salsa
  * popularity-contest:
    - add private option --su-nobody to drop privileges after reading
      the configuration file and /proc.
  * examples/bin/popanal3.py:
    - Python 3 version of popanal.py (experimental), will replace popanal.py

 -- Bill Allombert <ballombe@debian.org>  Mon, 30 Mar 2020 19:47:56 +0200

popularity-contest (1.69ubuntu1) focal; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Set debconf question priority from "high" to "medium".
    - Remove mail-transport-agent recommends.
    - Branding changes in the description and homepage.
    - Upload uncompressed reports and check for a server response of "Thanks".
    - Set submiturls to popcon.ubuntu.com.
    - Set email addresses to point to ubuntu.com.
    - Don't encrypt reports; the Ubuntu server doesn't handle that.
    - Drop gnupg Recommends to a Suggests to prevent bloating standard.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 13 Feb 2020 15:04:46 -0800

popularity-contest (1.69) unstable; urgency=medium

  * Update example server-side scripts to popcon.d.o version.

 -- Bill Allombert <ballombe@debian.org>  Thu, 18 Jul 2019 14:27:51 +0200

popularity-contest (1.68) unstable; urgency=low

  * Please note when reading stats that Buster was released with 1.67.
  * Apply patch from Benoît to speed up popcon. Closes: #917478.
  * debian/control:
    - Updated Standards-Version from 4.2.0 to 4.4.0.  No change needed.

 -- Bill Allombert <ballombe@debian.org>  Sun, 07 Jul 2019 15:30:07 +0200

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog popularity-contest`.
